package view;

import controler.MixedControler;
import model.HeadingListener;
import model.SpeedListener;

public abstract class MixedView implements SpeedListener,HeadingListener{
	private MixedControler controler = null;
	public MixedView(MixedControler controler){
		super();
		this.controler=controler;
	}
	public final MixedControler getControler(){
		return controler;
	}
	public abstract void display();
	public abstract void close();

}
