package controler;

import model.BoatModel;
import view.HeadingView;
import view.HeadingButtonView;

public class HeadingControler {
	public HeadingView headingView=null;
	//public HeadingView fieldView2=null;
	
	private BoatModel model=null;
	public HeadingControler(BoatModel model){
		this.model=model;
		headingView=new HeadingButtonView(this, model.getHeading());
		addListenersToModel();
	}
	
	private void addListenersToModel(){
		model.addHeadingListener(headingView);
	}
	
	public void displayViews(){
		headingView.display();
	}
	public void closeView(){
		headingView.close();
	}
	
	public void notifyHeadingChanged(int heading){
		model.setHeading(heading);
	}
	
}
