package controler;

import model.BoatModel;
import view.MixedDisplayUIView;
import view.MixedDisplayView;

public class MixedDisplayControler {
	public MixedDisplayView mixedDisplayView=null;
	private BoatModel model=null;
	
	public MixedDisplayControler(BoatModel model){
		this.model=model;
		mixedDisplayView=new MixedDisplayUIView(this, model.getHeading(),model.getSpeed());
		addListenersToModel();
	}
	
	private void addListenersToModel(){
		model.addSpeedListener(mixedDisplayView);
		model.addHeadingListener(mixedDisplayView);
	}
	
	public void displayViews(){mixedDisplayView.display();}
	public void closeView(){mixedDisplayView.close();}
	
}
